> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Client

> List clients. Clients are listed in no particular order.



## OpenAPI

````yaml /api/iam/api/client.openapi.json get /v1/clients
openapi: 3.1.0
info:
  title: Confidence Client API
  version: 1.0.0
  description: API documentation for client
servers: []
security: []
paths:
  /v1/clients:
    get:
      summary: List Client
      description: List clients. Clients are listed in no particular order.
      operationId: Client.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of clients to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: showDeleted
          in: query
          required: false
          description: If deleted clients should be included. By default false.
          schema:
            type: boolean
        - name: filter
          in: query
          required: false
          description: |-
            Filter for clients, follows the lucene query string format.
             Example: 'displayName: "my-client"'.
          schema:
            type: string
        - name: orderBy
          in: query
          required: false
          description: >-
            Provide fields and direction to sort by. Will always tiebreak on
            name.
             Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"}
             Example: displayName:desc,createTime:asc
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  clients:
                    type: array
                    items:
                      $ref: '#/components/schemas/confidence.iam.v1.Client'
                    description: '[Client](/api-reference/schemas/client): List of clients.'
                  nextPageToken:
                    type: string
                    description: >-
                      A token that can be used to fetch more clients, empty if
                      no more clients
                       are available.
                required:
                  - clients
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.Client:
      title: Client
      type: object
      description: |-
        A Client allows an app to access certain Confidence services like
         resolving flags and sending events.
      properties:
        name:
          type: string
          description: |-
            The resource name of the client.
             For example:
             `clients/1bhq4c2zqigdzqg6ufni`
        displayName:
          type: string
          description: Human friendly name of the client.
        lastSeenTime:
          type: object
          description: The last time this client was used to resolve a flag.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General set of labels for this resource.
        createTime:
          type: object
          description: Time when the client was first created.
        updateTime:
          type: object
          description: Time when the client was last updated.
        deleteTime:
          type: object
          description: Time when the client was deleted.
        creator:
          type: string
          description: Reference to the identity that created this client.
        updater:
          type: string
          description: Reference to the identity that last updated this client.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
      required:
        - displayName
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````